let width = ref 1000
let heigth = ref 1000
let max_it = ref 1000

let pict_array = Array.make_matrix !width !heigth 0
let img_array = Array.make_matrix !width !heigth   (Graphics.rgb 0 0 0)
  
let _ = 
  for x = 0 to !width - 1 do
    for y = 0 to !heigth - 1 do
      let cr = ((float x) /. 250.0) -. 2.0
      and ci = ((float y) /. 250.0) -. 2.0
      and zr = ref 0.0
      and zi = ref 0.0
      in
	for i = 0 to !max_it -1 do
	  zr := !zr**2. +. cr;
	  zi := !zi**2. +. ci;

	  if (!zr >= 0. &&  !zr <= (float (!width-1)) && !zi >= 0. && !zi <= (float (!heigth-1))) then
	    pict_array.(int_of_float !zr).(int_of_float !zi) <- pict_array.(int_of_float !zr).(int_of_float !zi) + 1;
	done;
    done;
  done;
  for x = 0 to !width - 1 do
    for y = 0 to !heigth - 1 do
      if  pict_array.(x).(y) > 256 then
	img_array.(x).(y) <- (Graphics.rgb 0 0 256)
      else if pict_array.(x).(y) > 128 then
	img_array.(x).(y) <- (Graphics.rgb 0 256 0)
      else if pict_array.(x).(y) > 0 then
	img_array.(x).(y) <- (Graphics.rgb 256 0 0)
    done;
    print_newline ();
  done;
  Graphics.open_graph " 1000x1000+50-50";
  Graphics.draw_image (Graphics.make_image img_array) 0 999 ;
  ignore (input_char stdin);
  Graphics.close_graph ()
  
